Skip to content

updateQuote

WRITE

Update an existing quote - handles exchange rate updates when currency changes, syncs customer to opportunity.

POST /api/v1/sales/updateQuote
curl -X POST '<your-host>/api/v1/sales/updateQuote' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType
"Draft""Sent""Ordered""Partial""Lost""Cancelled""Expired"

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "Draft",
        "Sent",
        "Ordered",
        "Partial",
        "Lost",
        "Cancelled",
        "Expired"
      ]
    },
    "currencyCode": {
      "type": "string"
    },
    "expirationDate": {
      "type": [
        "string",
        "null"
      ]
    },
    "customerContactId": {
      "type": [
        "string",
        "null"
      ]
    },
    "customerLocationId": {
      "type": [
        "string",
        "null"
      ]
    },
    "customerEngineeringContactId": {
      "type": [
        "string",
        "null"
      ]
    },
    "customerReference": {
      "type": [
        "string",
        "null"
      ]
    },
    "customerId": {
      "type": "string"
    },
    "salesPersonId": {
      "type": [
        "string",
        "null"
      ]
    },
    "estimatorId": {
      "type": [
        "string",
        "null"
      ]
    },
    "locationId": {
      "type": "string"
    },
    "dueDate": {
      "type": [
        "string",
        "null"
      ]
    },
    "digitalQuoteAcceptedBy": {
      "type": [
        "string",
        "null"
      ]
    },
    "digitalQuoteAcceptedByEmail": {
      "type": [
        "string",
        "null"
      ]
    },
    "notes": {
      "type": [
        "string",
        "null"
      ]
    },
    "customFields": {}
  },
  "required": [
    "id"
  ]
}